summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mário Antunes <mariolpantunes@gmail.com>2013-01-08 17:27:31 (GMT)
committer dsomero <xgizzmo@slackbuilds.org>2013-01-09 23:52:28 (GMT)
commit9e83695b2169f261bc38d02fabb483f2aa14d7c6 (patch)
tree6673970f7b2af28c20e37aed61f20716f39740eb
parentf06ae6bcb6ca0cb0a445247a71faf48cc839651f (diff)
downloadslackbuilds-9e83695b2169f261bc38d02fabb483f2aa14d7c6.tar.gz
development/JSONObject: Added (JSON C++ library).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--development/JSONObject/JSONObject.SlackBuild99
-rw-r--r--development/JSONObject/JSONObject.info10
-rw-r--r--development/JSONObject/README7
-rw-r--r--development/JSONObject/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/development/JSONObject/JSONObject.SlackBuild b/development/JSONObject/JSONObject.SlackBuild
new file mode 100644
index 0000000..8626227
--- /dev/null
+++ b/development/JSONObject/JSONObject.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Slackware build script for JSONObject
+
+# Copyright 2013 Mário Antunes <mariolpantunes@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=JSONObject
+SRCNAM=json
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/v$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DINSTALL_MAN_DIR=man \
+ -DBUILD_SHARED_LIBS=ON \
+ -DENABLE_PRECOMPILED_HEADERS=OFF \
+ -DLIB_SUFFIX=$LIBDIRSUFFIX \
+ -DLIB_INSTALL_DIR=/usr/lib$LIBDIRSUFFIX \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/JSONObject/JSONObject.info b/development/JSONObject/JSONObject.info
new file mode 100644
index 0000000..3c12575
--- /dev/null
+++ b/development/JSONObject/JSONObject.info
@@ -0,0 +1,10 @@
+PRGNAM="JSONObject"
+VERSION="1.0.1"
+HOMEPAGE="https://github.com/mariolpantunes/json"
+DOWNLOAD="https://github.com/mariolpantunes/json/archive/v1.0.1.tar.gz"
+MD5SUM="6dac9a6bb7fe6e1645ed39bc8c50b9fd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Mário Antunes"
+EMAIL="mariolpantunes@gmail.com"
diff --git a/development/JSONObject/README b/development/JSONObject/README
new file mode 100644
index 0000000..9f334b2
--- /dev/null
+++ b/development/JSONObject/README
@@ -0,0 +1,7 @@
+JSON wrapper for boost property tree. Easy to use JSON library
+based on the API of the Java JSON.org one
+(http://www.json.org/java/index.html).
+
+The main focus of the library is to be easy to use and use the
+less amount of dependencies possible. This library only requires
+boost property tree, boost reges and boost thread to be used.
diff --git a/development/JSONObject/slack-desc b/development/JSONObject/slack-desc
new file mode 100644
index 0000000..5cfebac
--- /dev/null
+++ b/development/JSONObject/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+JSONObject: JSONObject (JSON C++ library)
+JSONObject:
+JSONObject: JSON wrapper for boost property tree. Easy to use JSON library
+JSONObject: based on the API of the Java JSON.org one
+JSONObject: (http://www.json.org/java/index.html).
+JSONObject:
+JSONObject: The main focus of the library is to be easy to use and use the
+JSONObject: less amount of dependencies possible. This library only requires
+JSONObject: boost property tree, boost reges and boost thread to be used.
+JSONObject:
+JSONObject: homepage: https://github.com/mariolpantunes/json